<?php

/**
 * @package: events-venues-task
 * @author: Yevhen Odynets
 * @date: 2024-07-26
 * @time: 19:48
 */

declare(strict_types=1);

namespace App\Services\Faker\Image\Contracts;

use App\Services\Faker\Image\ImageStorage;

interface ProviderInterface
{
    public const array KEYWORDS
        = [
            'tournament',
            'match',
            'game',
            'fight',
            'championship',
            'date',
            'contest',
            'competition',
            'event',
            'advent',
            'meeting',
            'adventure',
            'convention',
            'gathering',
            'council',
            'committee',
            'seminar',
            'congregation',
            'symposium',
            'congress',
            'assembly',
            'forum',
            'colloquium',
            'convocation',
            'marvel',
            'conference',
            'celebration',
            'holiday',
            'ceremony',
        ];

    /**
     * @param  ImageStorage  $storage
     *
     * @return string|null
     */
    public function getImage(ImageStorage $storage): ?string;
}
